﻿using SkiaSharp;
using SkiaSharp.Views.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace XamSkiaSharp
{
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            InitializeComponent();

        }

        public void myCanvasView_PaintSurface(object sender, SKPaintSurfaceEventArgs args)
        {
            try
            {
                SKImageInfo info = args.Info;
                SKSurface surface = args.Surface;
                SKCanvas canvas = surface.Canvas;

                canvas.Clear();

                using (SKPaint paint = new SKPaint())
                {

                    SKRect rect = new SKRect(0, 0, info.Width, info.Height);

                    paint.Shader = SKShader.CreateLinearGradient(
                                        new SKPoint(rect.Left, rect.Top),
                                        new SKPoint(rect.Right, rect.Bottom),
                                        new SKColor[] {new SKColor(0, 0, 255),new SKColor(255,0,70)},
                                        new float[] { 0, 1 },
                                        SKShaderTileMode.Repeat);
                    canvas.DrawRect(rect, paint);
                }
            }
            catch (Exception ex)
            {

            }
        }
    }
}
